Page 5 of 5 FirstFirst ... 345
Results 41 to 50 of 50

Thread: Latest updates on Opensuse 13.1 X64 makes network unreachable if you are using ifup

  1. #41

    Default Re: Latest updates on Opensuse 13.1 X64 makes network unreachable if you are using ifup

    Quote Originally Posted by smartysmart34 View Post
    Code:
    lsinitrd /boot/initrd-3.11.10-7-desktop  | grep ifcfg
    etc/sysconfig/network/ifcfg-enp7s0
    etc/sysconfig/network/ifcfg-enp8s0
    etc/sysconfig/network/ifcfg.template
    etc/sysconfig/network/ifcfg-enp10s0
     etc/sysconfig/network/ifcfg-lo
    Not seeing why I should recreate initrd. It works with the old package and it doesn't with the new one. And the initrd was created during a plain system setup from the DVD. Nothing tweaked by myself.
    Because it contains a stale network interface configuration.
    No idea why it is there, but apparently it causes your problem. If you want your network to work you should get rid of it, I would say.
    And I guess you should add that to the bug report.

    You should also check whether it is there in /etc/sysconfig/network/ as well, but I guess YaST would show it in that case.

    I have no idea either why it would work before the update and not after, as I already wrote.
    Last edited by wolfi323; 25-Mar-2014 at 06:20.

  2. #42

    Default Re: Latest updates on Opensuse 13.1 X64 makes network unreachable if you are using ifup

    ok. Could you just guide me through that mkinitrd thing? never did it before and I am a little discouraged by the chance of frying my installation :-(

    But do you agree that it is a little disturbing that with the new package the enp8-interface is gone missing while with the old package it is there?

  3. #43

    Default Re: Latest updates on Opensuse 13.1 X64 makes network unreachable if you are using ifup

    Quote Originally Posted by smartysmart34 View Post
    ok. Could you just guide me through that mkinitrd thing? never did it before and I am a little discouraged by the chance of frying my installation :-(
    Just calling "sudo /sbin/mkinitrd" should be enough.

  4. #44

    Default Re: Latest updates on Opensuse 13.1 X64 makes network unreachable if you are using ifup

    Will try in a bold moment ;-)

    Any Idea as to why the old package detects the enp8 device while the new package doesn't?

  5. #45

    Default Re: Latest updates on Opensuse 13.1 X64 makes network unreachable if you are using ifup

    Quote Originally Posted by smartysmart34 View Post
    Any Idea as to why the old package detects the enp8 device while the new package doesn't?
    Well, with the old package there's no mention of enp7s0...
    I guess it aborts before reaching enp8s0 with the new package, or it just doesn't print the "skipping" message.

    But as I already wrote now a few times, I have no idea why that particular update would change anything here.
    Maybe just the timing is slightly different because of that change?
    Last edited by wolfi323; 25-Mar-2014 at 06:34.

  6. #46
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Latest updates on Opensuse 13.1 X64 makes network unreachableif you are using ifup

    On 2014-03-25 08:36, smartysmart34 wrote:

    > By the way: I manually reverted to th eold version of sysconfig-network.
    > While this made everything work again, it gives me an update
    > notification all the time. I locked the package in Yast to prevent
    > updating, but I still get the annoying update notification. So while
    > this works, it's still annoying.


    No, don't lock the package. Taboo the patch instead. Different function.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)

  7. #47

    Default Re: Latest updates on Opensuse 13.1 X64 makes network unreachable if you are using ifup

    How do you taboo the -22 if you've already downgraded to the -18? Have to reinstall -22 just to taboo it?
    Fa/\/\e\/\/olf

    "There is no music here. There is no laughter. There is no joy here, in my here after." -- FW

  8. #48

    Default Re: Latest updates on Opensuse 13.1 X64 makes network unreachable if you are using ifup

    This may be fixed in update which is on its way to mirrors:

    https://bugzilla.novell.com/show_bug.cgi?id=869761

  9. #49
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Latest updates on Opensuse 13.1 X64 makes network unreachableif you are using ifup

    On 2014-03-29 07:46, famewolf wrote:
    >
    > How do you taboo the -22 if you've already downgraded to the -18? Have
    > to reinstall -22 just to taboo it?


    Fire up the yast online update package. It will prompt to upgrade the
    package: right click on it, taboo.

    Let me verify... yes, you have to click on the left side, the summary
    (yast qt interface). On the right side you can not taboo, except an
    option to act on the entire displayed list.


    I just hit the problem on an old laptop I have here (32 bit). I upgraded
    it yesterday night, today network would not work, using if-up. I found
    out that there was no IPv4 address (there was an IPv6 one) and no route.

    I considered what to do. Downgrading the package might be a problem,
    with no network to get it. I started YaST, network config. I noticed
    that I had "on cable connect" active, so I changed it to "on boot", as
    this machine is almost always connected.

    It worked instantly.

    So I can wait for the next upgrade.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)

  10. #50

    Default Re: Latest updates on Opensuse 13.1 X64 makes network unreachable if you are using ifup

    Just a heads-up:
    Another update to "sysconfig-network" was released today.

    So starting the interface "on cable-connect" (ifplugd) should work again.

Page 5 of 5 FirstFirst ... 345

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •